# $Revision: 1.2 $, $Date: 2004/08/24 20:12:47 $
Summary:	DTS Coherent Acoustics decoder
Summary(pl):	Dekoder DTS Coherent Acoustics
Name:		libdts
Version:	0.0.2
Release:	2
License:	GPL
Group:		Libraries
Source0:	http://download.videolan.org/pub/videolan/%{name}/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	a1c0dac95d7031498c2d19d7a3107469
URL:		http://www.videolan.org/dtsdec.html
Patch0:		%{name}-shared.patch
Patch1:		%{name}-opt.patch
BuildRequires:	autoconf >= 2.54
BuildRequires:	automake
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Free decoder for the DTS Coherent Acoustics format. It consists of a
library and a command line decoder. DTS is a high quality
multi-channel (5.1) digital audio format used in DVDs and DTS audio
CDs.

%description -l pl
Wolny dekoder formatu DTS Coherent Acoustics. Skada si z biblioteki
i dekodera dziaajcego z linii polece. DTS jest wysokiej jakoci
wielokanaowym (5.1) cyfrowym formatem audio uywanym w DVD i DTS
audio CD.

%package devel
Summary:	Header files for libdts library
Summary(pl):	Pliki nagwkowe biblioteki libdts
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for libdts library.

%description devel -l pl
Pliki nagwkowe biblioteki libdts.

%package static
Summary:	Static libdts library
Summary(pl):	Statyczna biblioteka libdts
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libdts library.

%description static -l pl
Statyczna biblioteka libdts.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/lib*.so.*.*.*
%{_mandir}/man1/*.1*

%files devel
%defattr(644,root,root,755)
%doc doc/libdts.txt
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/*.h
%{_pkgconfigdir}/*.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libdts.spec,v $
Revision 1.2  2004/08/24 20:12:47  qboosh
- PIC fix in shared patch, added opt patch, release 2

Revision 1.1  2004/08/02 21:44:52  grzegol
- new
